## python-zaqarclient 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0

# Oslo Packages
oslo.i18n>=1.5.0 # Apache-2.0

python-keystoneclient>=1.6.0

=== debian/changelog ===
python-zaqarclient (0.2.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 23:53:21 +0000

python-zaqarclient (0.2.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align dependencies with upstream.

  [ Thomas Goirand ]
  * Removed version on python-all build-depends.
  * Move python-sphinx from build-depends-indep to build-depends.
  * Rewrap long description.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2015 08:12:05 +0000

python-zaqarclient (0.1.1-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release:
    - d/rules: Update UPSTREAM_GIT repo path.
    - d/control: Align (Build-)Depends with upstream.
    - d/gbp.conf: Set debian-branch to debian/liberty.

  [ James Page ]
  * Update watch file to use Debian pypi redirector.
  * Add DEP-8 execution of unit tests as they require all entry points
    to be setup, disable unit test execution as part of package build.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2015 09:24:10 +0100

python-zaqarclient (0.1.0-1) unstable; urgency=medium

  * Initial release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2015 21:36:04 +0200

=== debian/control ===
Source: python-zaqarclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-coverage,
                     python-ddt (>= 0.7.0),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.2),
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.2),
                     python-nose,
                     python-oslo.i18n (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-requests (>= 2.5.2),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-zaqarclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-zaqarclient.git
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-zaqarclient
Architecture: all
Depends: python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.i18n (>= 1.5.0),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Zaqar Queueing API, client and library - Python 2.x
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the Python 2.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/python-zaqarclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-python-zaqarclient; \
	done
#	set -e ; for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-python-zaqarclient; \
#	done
	rm -rf $(CURDIR)/debian/python*-python-zaqarclient/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(jamespage): Skip unittests, they require fully entry point setup
	#				   execution provided by DEP-8 instead.
endif


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-zaqarclient 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT

# Oslo Packages
oslo.i18n>=2.1.0 # Apache-2.0

python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0

=== debian/changelog ===
python-zaqarclient (1.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:32:06 +0000

python-zaqarclient (1.0.0-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 14:22:14 +0100

python-zaqarclient (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Removed fix-wrong-openstackclient-entry-point.patch.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 14:11:50 +0100

python-zaqarclient (0.3.0-1) experimental; urgency=medium

  * New upstream release.
  * d/gbp.conf: Set debian-branch to debian/mitaka.
  * d/control: Update uploaders.
  * d/p/fix-wrong-openstackclient-entry-point.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Dec 2015 15:13:44 -0500

python-zaqarclient (0.2.0-2) unstable; urgency=medium

  * Fixed empty package with no python module.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:56:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -10,25 +11,44 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
+               python3-all,
+               python3-pbr (>= 1.8),
+               python3-setuptools,
 Build-Depends-Indep: python-coverage,
-                     python-ddt (>= 0.7.0),
+                     python-ddt (>= 1.0.1),
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.2),
                      python-jsonschema,
                      python-keystoneclient (>= 1:1.6.0),
                      python-mock (>= 1.2),
                      python-nose,
-                     python-oslo.i18n (>= 1.5.0),
+                     python-openstackclient (>= 2.1.0),
+                     python-os-client-config (>= 1.13.1),
+                     python-oslo.i18n (>= 2.1.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-requests (>= 2.5.2),
+                     python-requests (>= 2.8.1),
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.5.0),
                      python-testtools (>= 1.4.0),
+                     python3-ddt (>= 1.0.1),
+                     python3-fixtures (>= 1.3.1),
+                     python3-jsonschema,
+                     python3-keystoneclient (>= 1:1.6.0),
+                     python3-mock (>= 1.2),
+                     python3-nose,
+                     python3-openstackclient (>= 2.1.0),
+                     python3-os-client-config (>= 1.13.1),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-requests (>= 2.8.1),
+                     python3-six (>= 1.9.0),
+                     python3-stevedore (>= 1.5.0),
+                     python3-subunit,
+                     python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-zaqarclient.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-zaqarclient.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-zaqarclient.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-zaqarclient.git
 Homepage: http://www.openstack.org/
 XS-Testsuite: autopkgtest
 
@@ -36,13 +56,13 @@
 Architecture: all
 Depends: python-jsonschema,
          python-keystoneclient (>= 1:1.6.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-requests (>= 2.5.2),
+         python-oslo.i18n (>= 2.1.0),
+         python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
          python-stevedore (>= 1.5.0),
          ${misc:Depends},
          ${python:Depends},
-Description: OpenStack Zaqar Queueing API, client and library - Python 2.x
+Description: OpenStack Zaqar Queueing API, client and library - Python 2.7
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics
  to support event broadcasting.
@@ -61,4 +81,35 @@
  API library. Plus, it installs a plugin to python-openstackclient that allows
  you to perform simple queue operations.
  .
- This package contains the Python 2.x module.
+ This package contains the Python 2.7 module.
+
+Package: python3-zaqarclient
+Architecture: all
+Depends: python3-jsonschema,
+         python3-keystoneclient (>= 1:1.6.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-requests (>= 2.8.1),
+         python3-six (>= 1.9.0),
+         python3-stevedore (>= 1.5.0),
+         ${misc:Depends},
+         ${python3:Depends},
+Description: OpenStack Zaqar Queueing API, client and library - Python 3.x
+ Zaqar is a multi-tenant cloud messaging service for web developers. It
+ combines the ideas pioneered by Amazon's SQS product with additional semantics
+ to support event broadcasting.
+ .
+ The service features a fully RESTful API, which developers can use to send
+ messages between various components of their SaaS and mobile applications, by
+ using a variety of communication patterns. Underlying this API is an efficient
+ messaging engine designed with scalability and security in mind.
+ .
+ Other OpenStack components can integrate with Zaqar to surface events to end
+ users and to communicate with guest agents that run in the "over-cloud" layer.
+ Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
+ their customers.
+ .
+ By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
+ API library. Plus, it installs a plugin to python-openstackclient that allows
+ you to perform simple queue operations.
+ .
+ This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/python-zaqarclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-zaqarclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-zaqarclient; \
	done
	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(jamespage): Skip unittests, they require fully entry point setup
	#				   execution provided by DEP-8 instead.
endif


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-zaqarclient/python-zaqarclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-zaqarclient 1.1.0

=== debian/changelog ===
python-zaqarclient (1.1.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 15:19:58 +0000

python-zaqarclient (1.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 10:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -19,34 +19,34 @@
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.2),
                      python-jsonschema,
-                     python-keystoneclient (>= 1:1.6.0),
+                     python-keystoneclient (>= 1:1.7.0),
                      python-mock (>= 1.2),
                      python-nose,
                      python-openstackclient (>= 2.1.0),
                      python-os-client-config (>= 1.13.1),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.10.0),
                      python-testtools (>= 1.4.0),
                      python3-ddt (>= 1.0.1),
                      python3-fixtures (>= 1.3.1),
                      python3-jsonschema,
-                     python3-keystoneclient (>= 1:1.6.0),
+                     python3-keystoneclient (>= 1:1.7.0),
                      python3-mock (>= 1.2),
                      python3-nose,
                      python3-openstackclient (>= 2.1.0),
                      python3-os-client-config (>= 1.13.1),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-requests (>= 2.8.1),
+                     python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.10.0),
                      python3-subunit,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-zaqarclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-zaqarclient.git
 Homepage: http://www.openstack.org/
@@ -55,11 +55,11 @@
 Package: python-zaqarclient
 Architecture: all
 Depends: python-jsonschema,
-         python-keystoneclient (>= 1:1.6.0),
+         python-keystoneclient (>= 1:1.7.0),
          python-oslo.i18n (>= 2.1.0),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack Zaqar Queueing API, client and library - Python 2.7
@@ -86,11 +86,11 @@
 Package: python3-zaqarclient
 Architecture: all
 Depends: python3-jsonschema,
-         python3-keystoneclient (>= 1:1.6.0),
+         python3-keystoneclient (>= 1:1.7.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.10.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: OpenStack Zaqar Queueing API, client and library - Python 3.x

## python-zaqarclient 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT

# Oslo Packages
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0

python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
osc-lib>=1.0.2 # Apache-2.0

=== debian/changelog ===
python-zaqarclient (1.2.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 23:52:27 +0000

python-zaqarclient (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 15:17:53 +0200

python-zaqarclient (1.2.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 20:47:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -16,50 +16,58 @@
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
                      python-ddt (>= 1.0.1),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.2),
                      python-jsonschema,
-                     python-keystoneclient (>= 1:1.7.0),
-                     python-mock (>= 1.2),
+                     python-keystoneclient (>= 1:2.0.0),
+                     python-mock (>= 2.0),
                      python-nose,
                      python-openstackclient (>= 2.1.0),
                      python-os-client-config (>= 1.13.1),
+                     python-osc-lib (>= 1.0.2),
                      python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-testtools (>= 1.4.0),
                      python3-ddt (>= 1.0.1),
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-jsonschema,
-                     python3-keystoneclient (>= 1:1.7.0),
-                     python3-mock (>= 1.2),
+                     python3-keystoneclient (>= 1:2.0.0),
+                     python3-mock (>= 2.0),
                      python3-nose,
                      python3-openstackclient (>= 2.1.0),
                      python3-os-client-config (>= 1.13.1),
+                     python3-osc-lib (>= 1.0.2),
                      python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.10.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-subunit,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-zaqarclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-zaqarclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-zaqarclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-zaqarclient -b debian/newton
 Homepage: http://www.openstack.org/
 XS-Testsuite: autopkgtest
 
 Package: python-zaqarclient
 Architecture: all
 Depends: python-jsonschema,
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneclient (>= 1:2.0.0),
+         python-osc-lib (>= 1.0.2),
          python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.16.0),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack Zaqar Queueing API, client and library - Python 2.7
@@ -86,11 +94,13 @@
 Package: python3-zaqarclient
 Architecture: all
 Depends: python3-jsonschema,
-         python3-keystoneclient (>= 1:1.7.0),
+         python3-keystoneclient (>= 1:2.0.0),
+         python3-osc-lib (>= 1.0.2),
          python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.10.0),
+         python3-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: OpenStack Zaqar Queueing API, client and library - Python 3.x

## python-zaqarclient 1.4.0

=== debian/changelog ===
python-zaqarclient (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file to use HTTPS.
  * Edit debian/control to match requirements
  * Edit Vcs fields

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 13 Dec 2017 12:56:51 +0100

python-zaqarclient (1.2.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:14:00 +0100

=== debian/control ===
--- 
+++ 
@@ -22,16 +22,20 @@
                      python-keystoneclient (>= 1:2.0.0),
                      python-mock (>= 2.0),
                      python-nose,
+                     python-nose-exclude,
+                     python-openstack.nose-plugin,
                      python-openstackclient (>= 2.1.0),
-                     python-os-client-config (>= 1.13.1),
-                     python-osc-lib (>= 1.0.2),
+                     python-os-client-config (>= 1.22.0),
+                     python-osc-lib (>= 1.2.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-keystoneauth1 (>= 2.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 1.0),
+                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-testtools (>= 1.4.0),
                      python3-ddt (>= 1.0.1),
                      python3-fixtures (>= 3.0.0),
@@ -39,35 +43,40 @@
                      python3-keystoneclient (>= 1:2.0.0),
                      python3-mock (>= 2.0),
                      python3-nose,
+                     python3-nose-exclude,
+                     python3-openstack.nose-plugin,
                      python3-openstackclient (>= 2.1.0),
-                     python3-os-client-config (>= 1.13.1),
-                     python3-osc-lib (>= 1.0.2),
+                     python3-os-client-config (>= 1.22.0),
+                     python3-osc-lib (>= 1.2.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.log (>= 3.11.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-keystoneauth1 (>= 2.18.0),
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 1.0),
+                     python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.16.0),
+                     python3-stevedore (>= 1.17.1),
                      python3-subunit,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-zaqarclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-zaqarclient -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/clients/python-zaqarclient.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/clients/python-zaqarclient.git
 Homepage: http://www.openstack.org/
-XS-Testsuite: autopkgtest
 
 Package: python-zaqarclient
 Architecture: all
 Depends: python-jsonschema,
          python-keystoneclient (>= 1:2.0.0),
-         python-osc-lib (>= 1.0.2),
+         python-osc-lib (>= 1.2.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.utils (>= 3.18.0),
+         python-keystoneauth1 (>= 2.18.0),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack Zaqar Queueing API, client and library - Python 2.7
@@ -95,12 +104,14 @@
 Architecture: all
 Depends: python3-jsonschema,
          python3-keystoneclient (>= 1:2.0.0),
-         python3-osc-lib (>= 1.0.2),
+         python3-osc-lib (>= 1.2.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.log (>= 3.11.0),
+         python3-oslo.utils (>= 3.18.0),
+         python3-keystoneauth1 (>= 2.18.0),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.16.0),
+         python3-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python3:Depends},
 Description: OpenStack Zaqar Queueing API, client and library - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		PYTHONPATH=. PYTHON=python$$i python$$i -m nose -v unit ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build
	rm -f AUTHORS
	rm -f ChangeLog

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-zaqarclient 1.7.0

=== debian/changelog ===
python-zaqarclient (1.7.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 21:02:09 +0000

python-zaqarclient (1.7.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 15:38:43 -0400

python-zaqarclient (1.5.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:25:44 +0100

python-zaqarclient (1.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Feb 2017 08:46:41 -0500

python-zaqarclient (1.3.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jan 2017 09:16:41 -0500

python-zaqarclient (1.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 12:27:35 -0400

=== debian/control ===
Source: python-zaqarclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-ddt (>= 1.0.1),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.2),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 3.0.1),
                     python-mock (>= 2.0),
                     python-nose,
                     python-openstack.nose-plugin (>= 0.7),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-client-config (>= 1.28.0),
                     python-osc-lib (>= 1.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.utils (>= 3.20.0),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python3-coverage (>= 4.0),
                     python3-ddt (>= 1.0.1),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.2),
                     python3-jsonschema (>= 2.0.0),
                     python3-keystoneauth1 (>= 3.0.1),
                     python3-mock (>= 2.0),
                     python3-nose,
                     python3-openstack.nose-plugin (>= 0.7),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-client-config (>= 1.28.0),
                     python3-osc-lib (>= 1.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-requests (>= 2.14.2),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.5.1),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-testrepository (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zaqarclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zaqarclient
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-zaqarclient
Architecture: all
Depends: python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 3.0.1),
         python-osc-lib (>= 1.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.utils (>= 3.20.0),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Zaqar Queueing API, client and library - Python 2.7
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the Python 2.7 module.

Package: python3-zaqarclient
Architecture: all
Depends: python3-jsonschema (>= 2.0.0),
         python3-keystoneauth1 (>= 3.0.1),
         python3-osc-lib (>= 1.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.utils (>= 3.20.0),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python3:Depends}
Description: OpenStack Zaqar Queueing API, client and library - Python 3.x
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the Python 3.x module.

## python-zaqarclient 1.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT

# Oslo Packages
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.utils>=3.31.0 # Apache-2.0

keystoneauth1>=3.2.0 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0

=== debian/changelog ===
python-zaqarclient (1.9.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 08:43:17 -0500

python-zaqarclient (1.8.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 09:28:56 -0500

=== debian/control ===
Source: python-zaqarclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.2.0),
 python-mock (>= 2.0.0),
 python-nose (>= 1.3.7),
 python-nose-exclude (>= 0.3.0),
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.17.0),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.7.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.31.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.2.0),
 python3-mock (>= 2.0.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.3.0),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.31.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.2),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zaqarclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zaqarclient
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-zaqarclient
Architecture: all
Depends:
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.2.0),
 python-osc-lib (>= 1.7.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.31.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Zaqar Queueing API, client and library - Python 2.7
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the Python 2.7 module.

Package: python3-zaqarclient
Architecture: all
Depends:
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.2.0),
 python3-osc-lib (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.31.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Zaqar Queueing API, client and library - Python 3.x
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -10,18 +10,12 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		PYTHONPATH=. PYTHON=python$$i python$$i -m nose -v unit ; \
-	done
+	echo "NOTE(jamespage): Skip unittests, they require fully entry point setup: execution provided by DEP-8 instead."
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
-	rm -f AUTHORS
-	rm -f ChangeLog
 
 # Commands not to run
 override_dh_installcatalogs:
